Place block
Places the currently held item as a block, against a specific face of a specific block.
Places the currently held item as a block, against a specific face of a specific block.
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
against*
The block the bot is placing against (the block being clicked).
face*string
Which face of against is being clicked. The new block is placed adjacent
to that face.
Value in
- "BLOCK_FACE_UNSPECIFIED"
- "BLOCK_FACE_DOWN"
- "BLOCK_FACE_UP"
- "BLOCK_FACE_NORTH"
- "BLOCK_FACE_SOUTH"
- "BLOCK_FACE_WEST"
- "BLOCK_FACE_EAST"
hand*string
Which hand holds the item being placed.
Value in
- "HAND_UNSPECIFIED"
- "HAND_MAIN"
- "HAND_OFF"
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions/place" \ -H "Content-Type: application/json" \ -d '{ "against": { "x": 0, "y": 0, "z": 0 }, "face": "BLOCK_FACE_UNSPECIFIED", "hand": "HAND_UNSPECIFIED" }'{ "result": { "actionId": "4a2794ff-94cb-4bac-8d36-d5fb36c563a0", "status": "BOT_ACTION_STATUS_UNSPECIFIED", "error": "string" }}How is this page?
